summaryrefslogtreecommitdiffstats
path: root/academic/gwyddion
diff options
context:
space:
mode:
Diffstat (limited to 'academic/gwyddion')
-rw-r--r--academic/gwyddion/README10
-rw-r--r--academic/gwyddion/gwyddion.SlackBuild72
-rw-r--r--academic/gwyddion/gwyddion.info8
-rw-r--r--academic/gwyddion/slack-desc19
4 files changed, 109 insertions, 0 deletions
diff --git a/academic/gwyddion/README b/academic/gwyddion/README
new file mode 100644
index 0000000000..f9efa2cdc5
--- /dev/null
+++ b/academic/gwyddion/README
@@ -0,0 +1,10 @@
+gwyddion - scanning probe microscopy data analyzer
+
+Gwyddion is a modular program for SPM (scanning probe microscopy) data
+visualization and analysis. Primarily it is intended for analysis of
+height fields obtained by means of scanning probe microscopy techniques
+(AFM, MFM, STM, SNOM/NSOM), however it can be generally used for any other
+height field and image analysis
+
+Gwyddion requires FFTW3 and gtkglext available at SlackBuilds.org
+
diff --git a/academic/gwyddion/gwyddion.SlackBuild b/academic/gwyddion/gwyddion.SlackBuild
new file mode 100644
index 0000000000..ed0a33d95f
--- /dev/null
+++ b/academic/gwyddion/gwyddion.SlackBuild
@@ -0,0 +1,72 @@
+#!/bin/sh
+
+# Slackware build script for gwyddion
+
+# Written by Daniil Bratashov <dn2010@gmail.com>
+
+PRGNAM=gwyddion
+VERSION=${VERSION:-2.10}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xjvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+chown -R root:root .
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/academic/gwyddion/gwyddion.info b/academic/gwyddion/gwyddion.info
new file mode 100644
index 0000000000..81bac8838e
--- /dev/null
+++ b/academic/gwyddion/gwyddion.info
@@ -0,0 +1,8 @@
+PRGNAM="gwyddion"
+VERSION="2.10"
+HOMEPAGE="http://gwyddion.net"
+DOWNLOAD="http://prdownloads.sourceforge.net/gwyddion/gwyddion-2.10.tar.bz2"
+MD5SUM="11fb3cddf827a445b2b78bab4cf90c55"
+MAINTAINER="Daniil Bratashov"
+EMAIL="dn2010@gmail.com"
+APPROVED="David Somero"
diff --git a/academic/gwyddion/slack-desc b/academic/gwyddion/slack-desc
new file mode 100644
index 0000000000..78436cb7be
--- /dev/null
+++ b/academic/gwyddion/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gwyddion: gwyddion - scanning probe microscopy data analyzer
+gwyddion:
+gwyddion: Gwyddion is a modular program for SPM (scanning probe microscopy)
+gwyddion: data visualization and analysis. Primarily it is intended for
+gwyddion: analysis of height fields obtained by means of scanning probe
+gwyddion: microscopy techniques (AFM, MFM, STM, SNOM/NSOM),
+gwyddion: however it can be generally used for any other height field
+gwyddion: and image analysis.
+gwyddion:
+gwyddion:
+gwyddion: